<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head><link rel="stylesheet" type="text/css" href="style.css" /><script type="text/javascript" src="highlight.js"></script></head><body><pre><span class="hs-keyword">module</span><span> </span><span class="hs-identifier">SDL.GPU.C.Logging</span><span> </span><span class="hs-keyword">where</span><span>
</span><span id="line-2"></span><span>
</span><span id="line-3"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-identifier">Data.Word</span></span><span>
</span><span id="line-4"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-identifier">Foreign.Ptr</span></span><span>
</span><span id="line-5"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-identifier">Foreign.C.String</span></span><span>
</span><span id="line-6"></span><span>
</span><span id="line-7"></span><span class="hs-keyword">import</span><span> </span><span class="hs-keyword">qualified</span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html"><span class="hs-identifier">SDL.GPU.C.Types</span></a></span><span> </span><span class="hs-keyword">as</span><span> </span><span class="annot"><span class="hs-identifier">GPU</span></span><span>
</span><span id="line-8"></span><span class="hs-keyword">import</span><span> </span><span class="hs-keyword">qualified</span><span> </span><span class="annot"><a href="SDL.GPU.C.Bool.html"><span class="hs-identifier">SDL.GPU.C.Bool</span></a></span><span> </span><span class="hs-keyword">as</span><span> </span><span class="annot"><span class="hs-identifier">GPU</span></span><span>
</span><span id="line-9"></span><span class="hs-keyword">import</span><span> </span><span class="hs-keyword">qualified</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html"><span class="hs-identifier">SDL.GPU.C.NumericTypes</span></a></span><span> </span><span class="hs-keyword">as</span><span> </span><span class="annot"><span class="hs-identifier">GPU</span></span><span>
</span><span id="line-10"></span><span>
</span><span id="line-11"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;SDL_gpu.h GPU_SetDebugLevel&quot;</span></span><span> </span><span id="setDebugLevel"><span class="annot"><a href="SDL.GPU.C.Logging.html#setDebugLevel"><span class="hs-identifier hs-var">setDebugLevel</span></a></span></span><span>
</span><span id="line-12"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#DebugLevelEnum"><span class="hs-identifier hs-type">GPU.DebugLevelEnum</span></a></span><span>
</span><span id="line-13"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="hs-special">(</span><span class="hs-special">)</span><span>
</span><span id="line-14"></span><span>
</span><span id="line-15"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;SDL_gpu.h GPU_GetDebugLevel&quot;</span></span><span> </span><span id="getDebugLevel"><span class="annot"><a href="SDL.GPU.C.Logging.html#getDebugLevel"><span class="hs-identifier hs-var">getDebugLevel</span></a></span></span><span>
</span><span id="line-16"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#DebugLevelEnum"><span class="hs-identifier hs-type">GPU.DebugLevelEnum</span></a></span><span>
</span><span id="line-17"></span><span>
</span><span id="line-18"></span><span class="hs-comment">-- NOTE - NOT BOUND: varargs GPU_Log* functions</span><span>
</span><span id="line-19"></span><span class="hs-comment">-- NOTE - NOT BOUND: varargs GPU_SetLogCallback</span><span>
</span><span id="line-20"></span><span class="hs-comment">-- NOTE - NOT BOUND: varargs GPU_PushErrorCode</span><span>
</span><span id="line-21"></span><span>
</span><span id="line-22"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;SDL_gpu.h GPU_Adapter_PopErrorCode&quot;</span></span><span> </span><span id="popErrorCode"><span class="annot"><a href="SDL.GPU.C.Logging.html#popErrorCode"><span class="hs-identifier hs-var">popErrorCode</span></a></span></span><span>
</span><span id="line-23"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#ErrorObject"><span class="hs-identifier hs-type">GPU.ErrorObject</span></a></span><span>
</span><span id="line-24"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="hs-special">(</span><span class="hs-special">)</span><span>
</span><span id="line-25"></span><span>
</span><span id="line-26"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;SDL_gpu.h GPU_GetErrorString&quot;</span></span><span> </span><span id="getErrorString"><span class="annot"><a href="SDL.GPU.C.Logging.html#getErrorString"><span class="hs-identifier hs-var">getErrorString</span></a></span></span><span>
</span><span id="line-27"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#ErrorEnum"><span class="hs-identifier hs-type">GPU.ErrorEnum</span></a></span><span>
</span><span id="line-28"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="annot"><span class="hs-identifier hs-type">CString</span></span><span>
</span><span id="line-29"></span><span>
</span><span id="line-30"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;SDL_gpu.h GPU_SetErrorQueueMax&quot;</span></span><span> </span><span id="setErrorQueueMax"><span class="annot"><a href="SDL.GPU.C.Logging.html#setErrorQueueMax"><span class="hs-identifier hs-var">setErrorQueueMax</span></a></span></span><span>
</span><span id="line-31"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#UnsignedInt"><span class="hs-identifier hs-type">GPU.UnsignedInt</span></a></span><span> </span><span class="hs-comment">-- ^ max</span><span>
</span><span id="line-32"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="hs-special">(</span><span class="hs-special">)</span><span>
</span><span id="line-33"></span></pre></body></html>